Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 57036 - Add %test section
Add %test section
Status: CLOSED UPSTREAM
Product: Red Hat Linux
Classification: Retired
Component: rpm-build (Show other bugs)
7.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-12-03 12:11 EST by Trond Eivind Glomsrxd
Modified: 2008-05-01 11:38 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-29 17:49:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Trond Eivind Glomsrxd 2001-12-03 12:11:02 EST
I'd love to have a standardized, conditional test section of the specfile -
it would be useful for teststuites.

Current suggestion is to "add a %test section in the specfile, corresponding
--runtest commandline option. Nonzero exit == failure?"/
Comment 1 Jeff Johnson 2001-12-03 14:58:22 EST
Comments from jakub:

The question is what this %test script can expect in which variables from
rpm and what directory will it be changed into before starting.
My main question is whether its builddir will be unpacked and in what
variable will get it, and whether its instdir will be populated or not
(and again, where to query that). For the packages I care about, I only need
builddir to be unpacked and after at least -bc phase.
Comment 2 Jeff Johnson 2001-12-05 11:21:47 EST
There are several ideas here that need to be unsnarled
so that I can attempt an implementation.

BTW, there's an equivalent need for an install, not
a build, scriptlet to verify that the bits are, indeed, installed
correctly. That might simplify many QA and support issues
if attempted.

The name %test is woefully underdescriptive <shrug>.

Where in the build state machine do you want %test executed?

Under what conditions?

What sort of CLI gunk do you want to execute the script?

Jakub: the cwd/environment for all scriptlets is deterministic, can even
be reconfigured using %__spec_test_stage and/or %___build_pre
if/when desired. Yes this is more mechanism than policy, and makes
everyones head hurt a lot, but is sufficiently general to handle a
new %test section quite easily and cheaply.
Comment 3 Jeff Johnson 2001-12-09 12:46:28 EST
Guys, I need a definition owf what is being requested.
Comment 4 Bill Nottingham 2005-09-29 17:49:12 EDT
Closing bugs on older, no longer supported, releases. Apologies for any lack of
response.

For RPM issues, please try a current release such as Fedora Core 4; if bugs
persist, please open a new issue.

Note You need to log in before you can comment on or make changes to this bug.